Subject: REPL doesn't work on windows min-gw
From: "Jan Schukat" <[email-masked]>
To: [email-masked]
Date: Wed, 10 Apr 2013 05:59:10 +0200 (CEST)
List-Id: <debbugs-submit.debbugs.gnu.org>

I thought I better start a new bug report, since the old #13848 definitely isn't fitting anymore. I can now build guile-2.0 on windows mingw.

I can even run it. Give it expressions on the command line to evaluate, and it does so.

But it can't start the REPL. It just hangs. That's where I am at now, after investigating why I can't run it and it aborted while loading q.scm.

I guess I retrace what I have been doing:

Using gdb and some added debug output I figured that q.scm is loaded by futures.scm and futures.scm is loaded by threads.scm and threads.scm is loaded by top-repl.scm

So I thought I just --disable-threads. I did, but strangely (provided? 'threads) was still #t and threads was loaded.

So I commented out the line 61-63 in top-repl.scm where the thread module is set up to be loaded.

Now guile.exe hangs at loading null.scm. That was the point when I simply tried to run expressions from the command line with -c and saw that it works.

That's when I reconfigured and recompiled again with --disabled-posix and --disable-threads. When I now want to start the guile REPL it exits with a proper backtrace:

module: C:/Users/shookie/guiletest/lib/lib/guile/2.0/ccache\ice-9\vlist.go

Backtrace:
In ice-9/boot-9.scm:
157: 5 [catch #t #<catch-closure 1cec500> ...]
In unknown file:
?: 4 [apply-smob/1 #<catch-closure 1cec500>]
In ice-9/boot-9.scm:
63: 3 [call-with-prompt prompt0 ...]
In ice-9/top-repl.scm:
78: 2 [#<procedure 223ee50 at ice-9/top-repl.scm:68:5 ()>]
In system/repl/repl.scm:
138: 1 [start-repl scheme #:debug #f]
In system/repl/common.scm:
147: 0 [make-repl scheme #f]

system/repl/common.scm:147:25: In procedure make-repl:
system/repl/common.scm:147:25: In procedure module-lookup: Unbound variable: times

So that's where I'm at. Thought that might be of interest already. When I get to work on it again my next steps will be starting guile with command line expressions loading all different kinds of modules related to to the REPL to see which one does the hanging. If you have any suggestions or hints on how to proceed best, I'd be greateful as well.

Regards

Jan Schukat